import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
import type { DeesAppui } from '@design.estate/dees-catalog';
import './index.js';
declare global {
    interface HTMLElementTagNameMap {
        'sz-demo-view-routes': SzDemoViewRoutes;
    }
}
export declare class SzDemoViewRoutes extends DeesElement {
    private appui;
    private accessor currentTab;
    private demoRoutes;
    private get filteredRoutes();
    onActivate(context: {
        appui: DeesAppui;
        viewId: string;
    }): Promise<void>;
    private updateSecondaryMenu;
    onDeactivate(): void;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
}
